curl --request PATCH \
--url https://openapi.enginy.ai/v1/company/{companyId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Acme Inc.",
"website": "https://acme.com",
"industry": "Software",
"numberOfEmployees": 120
}
'
{
"status": "success",
"message": "<string>",
"data": {
"id": 123,
"appUrl": "<string>",
"name": "<string>",
"domain": "<string>",
"website": "<string>",
"companyLinkedInUrl": "<string>",
"industry": "<string>",
"rangeOfEmployees": "<string>",
"numberOfEmployees": 123,
"yearfounded": "<string>",
"description": "<string>",
"country": "<string>",
"city": "<string>",
"streetAddress": "<string>",
"phoneNumber": "<string>",
"companyEmail": "<string>",
"revenueRange": "<string>",
"hiringOnLinkedIn": true,
"openJobPositions": 123,
"companyCRMId": "<string>",
"isCompanyInCRM": true,
"contactsCount": 123,
"lastContactedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"smartFieldExplanations": {}
}
}Companies
Update company fields
Update company fields (standard and custom/AI fields by name).
Required scope:
COMPANIES_WRITERate limit: 30 requests per minute
Accepted standard fields (auto-updated):
- name
- companyUrn
- companyLinkedInUrl
- website
- domain
- industry
- rangeOfEmployees
- numberOfEmployees
- yearfounded
- description
- country
- city
- streetAddress
- hiringOnLinkedIn
- phoneNumber
- companyEmail
- openJobPositions
- revenueRange
- sixMonthsHeadcountGrowth
- twoYearsHeadcountGrowth
- yearlyHeadcountGrowth
- legalCode
- legalName
- globalUltimateCode
- lastLinkedInPost
- googleMapsOpeningHours
- taxId
Custom/AI fields are also allowed by name and are client-specific.
PATCH
/
v1
/
company
/
{companyId}
curl --request PATCH \
--url https://openapi.enginy.ai/v1/company/{companyId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Acme Inc.",
"website": "https://acme.com",
"industry": "Software",
"numberOfEmployees": 120
}
'
{
"status": "success",
"message": "<string>",
"data": {
"id": 123,
"appUrl": "<string>",
"name": "<string>",
"domain": "<string>",
"website": "<string>",
"companyLinkedInUrl": "<string>",
"industry": "<string>",
"rangeOfEmployees": "<string>",
"numberOfEmployees": 123,
"yearfounded": "<string>",
"description": "<string>",
"country": "<string>",
"city": "<string>",
"streetAddress": "<string>",
"phoneNumber": "<string>",
"companyEmail": "<string>",
"revenueRange": "<string>",
"hiringOnLinkedIn": true,
"openJobPositions": 123,
"companyCRMId": "<string>",
"isCompanyInCRM": true,
"contactsCount": 123,
"lastContactedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"smartFieldExplanations": {}
}
}Authorizations
Path Parameters
The company ID
Body
application/json
Fields to update on the company. Supports standard and custom/AI fields by name. Use GET /v1/companies/fields (MCP tool get_company_field_metadata) to discover valid company field names for fields, include, exclude, and update payloads.